| 0.9.9 API documenation

Functions
random.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL vec< 3, T, defaultp > | ballRand (T Radius)
template<typename T >
GLM_FUNC_DECL vec< 2, T, defaultp > | circularRand (T Radius)
template<typename T >
GLM_FUNC_DECL vec< 2, T, defaultp > | diskRand (T Radius)
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType Mean, genType Deviation)
template<typename genType >
GLM_FUNC_DECL genType | linearRand (genType Min, genType Max)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | linearRand (vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
template<typename T >
GLM_FUNC_DECL vec< 3, T, defaultp > | sphericalRand (T Radius)

## Detailed Description

GLM_GTC_random

See also
  Core features (dependence)
  gtx_random (extended)

Definition in file random.hpp.